> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# importRegularPayrollData

> 
The `importRegularPayrollData` API imports regular payroll data for processing.

### What it does:

- Handles standard payroll data import for companies with consistent pay structures
- Links users to their regular compensation package, deductions, additional compensation, and reimbursements
- Processes regular payroll information for multiple employees at once
- Used to import regular payroll data without differential pay rates on a user-by-user basis

### Notes:

- To allow `miscellaneousStateTaxes` to be imported to payroll, please refer to the `addEmployeeMiscellaneousStateTax` API
- An employee's available miscellaneousStateTax items can be retrieved using 'getEmployeeMiscellaneousStateTaxforPayroll`



## OpenAPI

````yaml post /payroll/importRegularPayrollData
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/importRegularPayrollData:
    post:
      tags: []
      summary: importRegularPayrollData
      description: >-

        The `importRegularPayrollData` API imports regular payroll data for
        processing.


        ### What it does:


        - Handles standard payroll data import for companies with consistent pay
        structures

        - Links users to their regular compensation package, deductions,
        additional compensation, and reimbursements

        - Processes regular payroll information for multiple employees at once

        - Used to import regular payroll data without differential pay rates on
        a user-by-user basis


        ### Notes:


        - To allow `miscellaneousStateTaxes` to be imported to payroll, please
        refer to the `addEmployeeMiscellaneousStateTax` API

        - An employee's available miscellaneousStateTax items can be retrieved
        using 'getEmployeeMiscellaneousStateTaxforPayroll`
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
                payrollData:
                  type: array
                  items:
                    type: object
                    properties:
                      userId:
                        type: string
                      basicPay:
                        type: object
                        properties:
                          payHours:
                            type: integer
                        required:
                          - payHours
                      unPaidLeave:
                        type: object
                        properties:
                          noOfHours:
                            type: integer
                        required:
                          - noOfHours
                      retro:
                        type: object
                        properties:
                          amount:
                            type: integer
                          description:
                            type: string
                        required:
                          - amount
                          - description
                      overTime:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                            noOfHours:
                              type: number
                            multiplier:
                              type: number
                          required:
                            - type
                            - noOfHours
                            - multiplier
                      additionalCompensation:
                        type: array
                        items:
                          type: object
                          properties:
                            description:
                              type: string
                            amount:
                              type: integer
                          required:
                            - description
                            - amount
                      deductions:
                        type: array
                        items:
                          type: object
                          properties:
                            description:
                              type: string
                            amount:
                              type: integer
                          required:
                            - description
                            - amount
                      reimbursements:
                        type: array
                        items:
                          type: object
                          properties:
                            reimbursementType:
                              type: string
                            amount:
                              type: integer
                          required:
                            - reimbursementType
                            - amount
                      timeOffs:
                        type: array
                        items:
                          type: object
                          properties:
                            leaveType:
                              type: string
                            policyType:
                              type: string
                            hours:
                              type: number
                      miscellaneousStateTaxes:
                        type: array
                        items:
                          type: object
                          properties:
                            stateCode:
                              type: string
                            taxName:
                              type: string
                            taxDetails:
                              type: array
                              items:
                                type: object
                                properties:
                                  riskClassName:
                                    type: string
                                  noOfHours:
                                    type: number
                    required:
                      - userId
                      - basicPay
              required:
                - method
                - companyId
                - payPeriodId
                - payrollData
            example:
              method: importRegularPayrollLData
              companyId: 3FD08599-7CBB-44C5-9243-CAD72BE36BDF
              payPeriodId: EDD9F5D2-BED4-4337-A80C-4DDD33EDFF91
              payrollData:
                - userId: 4DF5A79A-3735-4588-95A6-B80D15CB5A5E
                  basicPay:
                    payHours: 173
                  unPaidLeave:
                    noOfHours: 10
                  retro:
                    amount: 4
                    description: JK
                  overTime:
                    - type: Comp off OT
                      noOfHours: 10
                      multiplier: 1
                  additionalCompensation:
                    - description: Stock Options
                      amount: 500
                    - description: Van Pool & Transit Passes
                      amount: 500
                  deductions:
                    - description: 403B CU 15 year Reg
                      amount: 10
                    - description: 125DC Reg
                      amount: 5000
                  reimbursements:
                    - reimbursementType: GYM
                      amount: 120
                  timeOffs:
                    - leaveType: Paid
                      policyType: Sick Leave
                      hours: 20
                    - leaveType: Paid
                      policyType: Vacation
                      hours: 10
                    - leaveType: Unpaid
                      hours: 5
                  miscellaneousStateTaxes:
                    - stateCode: WA
                      taxName: Washington L&I
                      taxDetails:
                        - riskClassName: Electrician
                          noOfHours: 5
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  importRegularPayrollLData:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - importRegularPayrollLData
              examples:
                '1':
                  summary: Success
                  value:
                    importRegularPayrollLData:
                      status: Ready
                      message: Imported Payroll Data Successfully
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid Payroll Details
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````